/**
 *   Created the 2 April 2006
 *
 *   Azuki Framework
 *   Copyright 2006 the original author or authors.
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *   
 *   Contact : support@azuki-framework.org
 *
 *   @author Mathieu Jucker
 *   @author Yoann Perrin (yoann.perrin@gmail.com)
 */

package org.azuki.bean.jmx.shared;

public interface ConstJMX
{
	final static public String INVOKE = "invokeImpl" ;
	
	// default values
	final static public String defaultDomain = "org.azuki" ; 
	
	// JMXService
	final static public String SERVICE = "service" ;
	final static public String SERVICE_AGENT = "agent" ;
	
	// JMXExport
	final static public String EXPORT = "export" ;
	final static public String EXPORT_DOMAIN = "domain" ;
	
	// JMXListenerBean
	final static public String LISTEN = "listen" ;
	final static public String LISTEN_NAME = "name" ;
	final static public String LISTEN_LABEL = "label" ; 
}
