///**
// *   Created the 2 April 2006
// *
// *   Azuki Framework
// *   Copyright 2006 the original author or authors.
// *
// *   This library is free software; you can redistribute it and/or
// *   modify it under the terms of the GNU Lesser General Public
// *   License as published by the Free Software Foundation; either
// *   version 2.1 of the License, or (at your option) any later version.
// *
// *   This library is distributed in the hope that it will be useful,
// *   but WITHOUT ANY WARRANTY; without even the implied warranty of
// *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// *   Lesser General Public License for more details.
// *
// *   You should have received a copy of the GNU Lesser General Public
// *   License along with this library; if not, write to the Free Software
// *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
// *   
// *   Contact : support@azuki-framework.org
// *
// *   @author Mathieu Jucker
// */
//
//package org.azuki.bean.shell.server.console;
//
//import java.lang.reflect.Method;
//import java.util.*;
//
//import javax.servlet.http.*;
//
//import org.azuki.bean.shell.ShellBean;
//import org.azuki.common.console.HtmlFactory;
//import org.azuki.common.console.html.*;
//import org.azuki.common.console.http.HttpResponse;
//import org.azuki.common.util.*;
//import org.azuki.framework.aop.IPointcut;
//import org.azuki.framework.bean.*;
//
//final public class ShellConsole
//{
//	final static public String[] tableHeaders = {"Bean", "Method"} ;
//	
//	final public static void service(ShellBean aspt, HttpServlet srv, HttpServletRequest req, HttpServletResponse res)
//	throws Exception
//	{
//		IMetadata meta = aspt.getMetadata() ;
//		
//		List<List> data = new ArrayList<List>() ;
//		
//		Collection<IPointcut> pcs = Bean.getPointcuts(meta.getID()) ;
//		for(IPointcut pc : pcs)
//		{
//			for(Method meth : pc.getSelectedMethods())
//			{
//				IMetadata tmeta = pc.getTargetMetadata() ;
//				data.add(ListUtil.toList(Util.oneString(tmeta.getName(), tmeta.getLabel()), meth.getName())) ;
//			}
//		}
//		
//		Table table = HtmlFactory.sortedTable(req, data, tableHeaders) ;
//		
//		HtmlBuilder bdr = new HtmlBuilder() ;
//		bdr.print("<h2>").print(Util.oneString(meta.getName(), meta.getLabel())) ;
//		bdr.print(" (").print(aspt.isRunning()?"RUNNING":"STOPPED").print(")") ;
//		bdr.print("</h2>") ;
//		bdr.println("<br/>") ;
//		
//		if(aspt.isRunning())
//		{
//			Map<String,Object> map = new HashMap<String,Object>() ;
//			map.put("Port", Integer.valueOf(aspt.getPort())) ;
//			map.put("Charset", aspt.getCharSet()) ;
//			
//			Table plist = HtmlFactory.propertyList("Properties", map) ;
//			
//			bdr.println(plist) ;
//			bdr.println("<br/>") ;
//		}
//		
//		bdr.print(table) ;
//		
//		HttpResponse.print(res, bdr) ;
//	}
//}
