/*
 *   Created the 2 April 2006
 *
 *   Azuki Framework
 *   Copyright 2006 the original author or authors.
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *   
 *   Contact : support@azuki-framework.org
 */

package org.azuki.common.consts ;

/**
 * @author Robert Bakic (robert.bakic@gmail.com)
 */

public interface Tag
{
	final static public String BEANS = "beans" ;
	
	final static public String WEAVING  = "weaving" ;
	final static public String UNIVERSE = "universe" ;
	final static public String SCHEMA   = "schema"  ;
	final static public String INSTANCE = "instance";

	final static public String PARA      = "para" ;		
	final static public String ASPECT    = "aspect" ;	

	final static public String BEAN      = "bean"  ;	
	final static public String POINTCUT  = "pointcut" ;	
	final static public String METHOD    = "method" ;
	final static public String FIELD	 = "field";	
}