/**
 *   Created the 2 April 2006
 *
 *   Azuki Framework
 *   Copyright 2006 the original author or authors.
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *   
 *   Contact : support@azuki-framework.org
 *
 *   @author Robert Bakic (robert.bakic@gmail.com)
 */

package org.azuki.bean.exec.server.imp.mngr ;

import java.util.Map;

public class GErr
{
	final public Integer 	ID ;
	final public String 	name ;
	final public String[] 	cmd ;
	final public String 	err ;
	final public long 		star ;
	final public long 		end ;
	final public Map<String, String> env ;
	
	public GErr(Integer ID, String name, String[] cmd, String err,
				long star, long end, Map<String, String> env)
	{
		this.ID = ID ;
		this.name = name ;
		this.cmd = cmd ;
		this.err = err ;
		this.star = star ;
		this.end = end ;
		this.env = env ;
	}
}