package org.azuki.bean.jpa.server.imp;

import oracle.toplink.essentials.jndi.JNDIConnector;
import oracle.toplink.essentials.sessions.Session;
import oracle.toplink.essentials.tools.sessionconfiguration.SessionCustomizer;

public class ToplinkSessionCustomizer implements SessionCustomizer
{
	public void customize(Session session)
	throws Exception
	{
		JNDIConnector connector = (JNDIConnector) session.getLogin().getConnector();
		connector.setLookupType(JNDIConnector.STRING_LOOKUP);
	}
}