/**
 *   Created the 2 April 2006
 *
 *   Azuki Framework
 *   Copyright 2006 the original author or authors.
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *   
 *   Contact : support@azuki-framework.org
 *
 *   @author Mathieu Jucker
 */

package org.azuki.bean.oracle.shared ;

public interface ConstDBMSAlert
{
	final static public String KEY_DATASOURCE = "datasource" ;
	final static public String KEY_ALERT_NAME = "alertname";
	
	final public static String MSG_ALERT_RUNNING= "0 : DBMSAlertBean is running";
	final public static String MSG_ALERT_STOPED = "1 : DBMSAlertBean is stoped";
	
	final public static String MSG_WAITONE_RUNNING= "0 : DBMSWaitoneBean is running";
	final public static String MSG_WAITONE_STOPED = "1 : DBMSWaitoneBean is stoped";
	
	final public static String OUTPUT_NAME   = "out";
}