/**
 *   Created the 2 April 2006
 *
 *   Azuki Framework
 *   Copyright 2006 the original author or authors.
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *   
 *   Contact : support@azuki-framework.org
 *
 *   @author Robert Bakic (robert.bakic@gmail.com)
 */

package org.azuki.bean.scheduler.shared ;

public interface ConstSched
{
	// ELEMENTS
	final static public String TYPE  = "type"  ;
	final static public String WEEK  = "week"  ;
	final static public String MONTH = "month" ;
	
	// ATTRIBUTES
	final static public String VALUE = "value" ;
	final static public String HOUR  = "hour"  ;
	final static public String MINU  = "minu"  ;
	final static public String SECO  = "seco"  ;
	final static public String DAYS  = "days"  ;
	final static public String ALL   = "all"   ;

	// VALUE
	final static public String PERIODIC = "PERIODIC" ;
	final static public String TIME	    = "TIME" ;	
	
	// Size for Shell padding
	final static public int SZ_ID=8;
	final static public int SZ_JOBNAME=40;
	final static public int SZ_WHEN = 15;
	final static public int SZ_PERIOD = 10;
	final static public int SZ_STATUS = 10;
}
