/*
 *   Created the 2 April 2006
 *
 *   Azuki Framework
 *   Copyright 2006 the original author or authors.
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *   
 *   Contact : support@azuki-framework.org
 */

package org.azuki.common.consts ;

/**
 * @author Robert Bakic (robert.bakic@gmail.com)
 */

public interface Attr
{
	// BEAN
	final static public String NAME = "name" ;
	final static public String CLAS = "clas" ;
	final static public String DESC = "desc" ; // One line
	final static public String VERS = "vers" ; // 1.0
	final static public String GRUP = "grup" ; //  
	final static public String BDOC = "bdoc" ;
	final static public String ICON = "icon" ;
	
	final static public String EDIT = "edit" ; 
	final static public String RLVL = "rlvl" ; 

	final static public String CTRT = "ctrt" ;
	
	final static public String JARF = "jarf" ;
	
	// INSTANCE
	final static public String LABL = "labl" ;
	final static public String ENAB = "enab" ;
}